@ECHO OFF
SET SOURCE=%~dp0
SET SOURCE=%SOURCE:~0,-1%
SET INSTALLPATH=%ProgramFiles%\Mozilla Firefox
 
REM Create the Firefox answer file
ECHO [Install] > %SOURCE%\Firefox.ini
REM	InstallDirectoryName=Firefox >> %SOURCE%\Firefox.ini
ECHO InstallDirectoryPath=%INSTALLPATH% >> %SOURCE%\Firefox.ini
ECHO QuickLaunchShortcut=false >> %SOURCE%\Firefox.ini
ECHO DesktopShortcut=false >> %SOURCE%\Firefox.ini
ECHO StartMenuShortcuts=true >> %SOURCE%\Firefox.ini
ECHO MaintenanceService=false >> %SOURCE%\Firefox.ini
 
REM Install Firefox - the START command will not work if the Firefox setup filename includes spaces
START /WAIT FirefoxSetup19.0.2.exe /INI=%SOURCE%\Firefox.ini
 
REM Configure Firefox profile defaults and preferences locking
IF NOT EXIST "%INSTALLPATH%\defaults\profile\chrome" MD "%INSTALLPATH%\defaults\profile\chrome"
COPY /Y %SOURCE%\userChrome.css "%INSTALLPATH%\defaults\profile\chrome\userChrome.css"
IF NOT EXIST "%INSTALLPATH%\defaults\pref" MD "%INSTALLPATH%\defaults\pref"
COPY /Y %SOURCE%\local-settings.js "%INSTALLPATH%\defaults\pref\local-settings.js"
COPY /Y %SOURCE%\Mozilla.cfg "%INSTALLPATH%\Mozilla.cfg"
COPY /Y %SOURCE%\override.ini "%INSTALLPATH%\override.ini"
 
REM Disable the Mozilla Maintenance Service to prevent updates
sc config MozillaMaintenance start= disabled
